org.apache.olingo.commons.api.edm.provider

## Class CsdlOperationImport

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.CsdlOperationImport

- All Implemented Interfaces:
    CsdlAnnotatable, CsdlNamed
  Direct Known Subclasses:
    CsdlActionImport, CsdlFunctionImport

      public abstract class CsdlOperationImport
      extends CsdlAbstractEdmItem
      implements CsdlNamed, CsdlAnnotatable

  The type Csdl operation import.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<CsdlAnnotation>` | `annotations` The Annotations.
    `protected String` | `entitySet` The Entity set.
    `protected String` | `name` The Name.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlOperationImport()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<CsdlAnnotation>` | `getAnnotations()` Returns a list of annotations
    `String` | `getEntitySet()` Gets entity set.
    `String` | `getName()` Gets name.
    `CsdlOperationImport` | `setAnnotations(List<CsdlAnnotation> annotations)` Sets a list of annotations
    `CsdlOperationImport` | `setEntitySet(String entitySet)` Sets entity set.
    `CsdlOperationImport` | `setName(String name)` Sets name.

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected String name

      The Name.

    - #### entitySet

          protected String entitySet

      The Entity set.

    - #### annotations

          protected List<CsdlAnnotation> annotations

      The Annotations.

  - ### Constructor Detail

    - #### CsdlOperationImport

          public CsdlOperationImport()

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `CsdlNamed`
      Gets name.
      Specified by:
        `getName` in interface `CsdlNamed`
      Returns:
        the name

    - #### setName

          public CsdlOperationImport setName(String name)

      Sets name.
      Parameters:
        `name` - the name
      Returns:
        the name

    - #### getEntitySet

          public String getEntitySet()

      Gets entity set.
      Returns:
        the entity set

    - #### setEntitySet

          public CsdlOperationImport setEntitySet(String entitySet)

      Sets entity set.
      Parameters:
        `entitySet` - the entity set
      Returns:
        the entity set

    - #### getAnnotations

          public List<CsdlAnnotation> getAnnotations()

      Description copied from interface: `CsdlAnnotatable`
      Returns a list of annotations
      Specified by:
        `getAnnotations` in interface `CsdlAnnotatable`
      Returns:
        list of annotations

    - #### setAnnotations

          public CsdlOperationImport setAnnotations(List<CsdlAnnotation> annotations)

      Sets a list of annotations
      Parameters:
        `annotations` - list of annotations
      Returns:
        this instance

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.